XmLGridWrite(3X)

NAME
XmLGridWrite - write the string contents of cells in a Grid into a file

SYNTAX
int XmLGridWrite(widget, file, format, delimiter, skipHidden)
Widget widget;
FILE *file;
int format;
char delimiter;
Boolean skipHidden;

ARGUMENTS

widget
    Grid widget ID

file
    file to write to

format
    format of the file

delimiter
    delimiter if format is XmFORMAT_DELIMITED

skipHidden
    if True, skip hidden rows and columns

DESCRIPTION
Writes all cell contents in the Grid to a file in the given format. If skipHidden is True, data in hidden rows or columns will not be included. Format must be one of the following: XmFORMAT_XL, where tabs separate columns and cell data is possibly surrounded by double-quotes, XmFORMAT_PAD, where columns are padded with spaces or XmFORMAT_DELIMITED, where data is delimited by the delimiter given.

RETURN VALUE
A value of 0 is returned upon success, and a value of -1 is returned upon failure.

SEE ALSO
XmLGridWritePos(3X)